#
# spec file for package audacity (Version 1.3.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel SDL SDL-devel aaa_base aalib aalib-devel acl alsa-devel atk atk-devel attr audiofile audit-libs autoconf automake bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-libs cvs desktop-translations diffutils esound file filesystem fillup findutils flac-devel fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib glib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gpm grep groff gtk2 gtk2-devel gzip hicolor-icon-theme id3lib id3lib-devel info insserv jack-devel less libFLAC++6 libFLAC8 libacl libasound2 libattr libbz2-1 libbz2-devel libdb-4_5 libdrm libexpat-devel libexpat1 libgcc42 libgomp42 libid3tag libid3tag-devel libjack libjpeg libjpeg-devel libltdl-3 libmspack libmspack-devel libmudflap42 libogg libogg-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsamplerate libsamplerate-devel libsndfile libsndfile-devel libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libzio linux-kernel-headers m4 mad mad-devel make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules pango pango-devel patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks rpm sed soundtouch soundtouch-devel sysvinit tar tcpd texinfo timezone unixODBC unixODBC-devel update-desktop-files util-linux wxGTK wxGTK-compat wxGTK-devel wxGTK-gl xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zip zlib zlib-devel


Name:           audacity
BuildRequires:  SDL-devel flac-devel gcc-c++ glib-devel id3lib-devel jack-devel libid3tag-devel libmspack-devel libsamplerate-devel libsndfile-devel libtiff-devel libvorbis-devel mad-devel soundtouch-devel unixODBC-devel update-desktop-files wxGTK-devel zip
# build with local portaudio for now
# BuildRequires:  portaudio-devel
%define DISTRIBUTABLE 1
Summary:        A Free, Cross-Platform Digital Audio Editor
Version:        1.3.3
Release:        46.2
License:        GPL v2 or later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://audacity.sourceforge.net/
Source:         %{name}-src-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         %{name}-%{version}-build.patch
Patch1:         %{name}-%{version}-cflags.patch
Patch2:         %{name}-%{version}-endian-fix.patch
Patch3:         %{name}-%{version}-font-fix.patch
Patch4:         %{name}-%{version}-portaudio-shlib.patch
Patch5:         %{name}-%{version}-retval.patch
Patch6:         %{name}-%{version}-strict-aliasing.patch
Patch7:         %{name}-%{version}-nosse.patch
Patch8:         %{name}-%{version}-flac.patch
Patch9:         %{name}-%{version}-hu_update.patch.bz2
Patch10:        %{name}-%{version}-equalization.patch
Patch11:        %{name}-%{version}-CVE-2009-0490.patch

%description
Audacity is a program that manipulates digital audio wave forms. In
addition to recording sounds directly from within the program, it
imports many sound file formats, including WAV, AIFF, AU, IRCAM, MP,
and Ogg Vorbis.  With Audacity, you can edit wave data larger than the
physical memory size of your computer.



Authors:
--------
    Dominic Mazzoni <dominic@minorninth.com>
    Roger Dannenberg <rbd+@cs.cmu.edu>
    Jason Cohen <cohen3+@andrew.cmu.edu>
    Robert Leidle <rfl+@andrew.cmu.edu>
    Mark Tomlinson <marktoml@hotmail.com>
    Joshua Haberman <joshua@haberman.com>
    Nasca Octavian Paul <paulnasca@email.ro>
    Logan Lewis <proxima@proxc.com>
    Matt Brubeck <mbrubeck@hmc.edu>
    Mark Phillips <mitb@totaldeath.com>
    Tony Oetzmann <airon@epost.de>
    Harvey Lubin <agrapha@agrapha.com>
    Tom Woodhams <tom@imaginemedia.co.uk>

%debug_package
%prep
%setup -q -n %{name}-src-%{version}-beta
%patch0
%patch1
%patch2
%patch3
# build with local portaudio for now
# %patch4
%patch5
%patch6
%ifarch ia64 ppc ppc64 s390 s390x
# remove -msse from Makefiles
%patch7
%endif
%patch8
%patch9
%patch10
%patch11

%build
%{?suse_update_config:%{suse_update_config -f . lib-src/*/.}}
export AUTOMAKE="automake --foreign"
autoreconf -f -i
cd lib-src/portaudio-v19
autoreconf -f -i
cd ../..
# Needed for audacity-1.3.3:
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --enable-unicode \
    --with-vorbis=system \
%if %DISTRIBUTABLE
    --without-libmad \
%else
    --with-libmad=system \
%endif
    --with-libsndfile=system \
    --with-flac=system \
    --with-id3tag=system \
    --with-libsamplerate=system \
    --with-portaudio=v19
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%suse_update_desktop_file -i audacity AudioVideo AudioVideoEditing
install -d -m755 $RPM_BUILD_ROOT%{_datadir}/pixmaps
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps
# we will add docs later in %files section
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/audacity

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE.txt README.txt
%doc %{_mandir}/man?/*
%{_bindir}/audacity
%{_datadir}/audacity
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/mime/packages/audacity.xml

%changelog
* Wed Feb 11 2009 - mseben@suse.cz
- fixed Stack-based buffer overflow in the String_parse::get_nonspace_quoted
  function in lib-src/allegro/strparse.cpp (bnc#474258) (CVE-2009-0490.patch)
* Wed Sep 19 2007 - prusnak@suse.cz
- fix broken Equalization effect (equalization.patch) [#326217]
* Thu Aug 02 2007 - anosek@suse.cz
- fixed Hungarian translation update [#295657] (hu_update.patch)
* Thu Jun 21 2007 - sbrabec@suse.cz
- Build with system soundtouch.
- Build with jack support.
* Wed Jun 06 2007 - sbrabec@suse.cz
- Removed invalid desktop Category "Application" (#254654).
* Tue May 29 2007 - prusnak@suse.cz
- updated to 1.3.3
  * added collapse/expand tracks
  * multiple clips per track
  * added selection bar
  * improved label tracks
  * better performance with large projects
  * added transcription toolbar
  * improved accessibility for the visually impaired
  * added auto-save and automatic crash recovery
  * added batch processing
  * metadata may be added to OGG files
  * EQ effect responsiveness improved
  * new Auto Duck effect
  * DTMF tone generator
- dropped obsoleted patches:
  * ambigous.patch
  * overflow-fix.patch (included in update)
  * qualification.patch (included in update)
  * wx-compat.patch
- added patches:
  * flac.patch - adjust for new FLAC 1.1.4 API
  * nosse.patch - don't try to use SSE on non-x86 archs
* Fri Apr 20 2007 - schwab@suse.de
- Fix quoting in autoconf macros.
* Thu Aug 10 2006 - anosek@suse.cz
- fixed build with new version of autotools (audacity-build.patch)
* Sun Feb 19 2006 - stbinner@suse.de
- add GenericName to .desktop file
* Wed Feb 15 2006 - sbrabec@suse.cz
- Build with portaudio19 (#151210).
* Mon Jan 30 2006 - aj@suse.de
- Further fix to BuildRequires.
* Sun Jan 29 2006 - aj@suse.de
- Fix buildrequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 16 2005 - sbrabec@suse.cz
- Returned back required wx-compat patch.
* Wed Dec 07 2005 - sbrabec@suse.cz
- Updated to version 1.2.4b.
* Wed Nov 09 2005 - sbrabec@suse.cz
- Strict aliasing fix.
* Tue Oct 25 2005 - sbrabec@suse.cz
- Fixed extra qualification.
- Build with correct CFLAGS.
- Fixed random return values.
* Fri Oct 14 2005 - sbrabec@suse.cz
- Disabled mad support.
* Fri Apr 15 2005 - mcihar@suse.de
- add SDL-devel-packages because of wxGTK
* Thu Feb 17 2005 - hvogel@suse.de
- mark as nosrc
* Tue Nov 23 2004 - ro@suse.de
- fix build with current wxGTK
* Mon Nov 22 2004 - mcihar@suse.cz
- update to 1.2.3
* Mon Sep 06 2004 - mcihar@suse.cz
-fix build on 64-bit arches
* Fri Sep 03 2004 - mcihar@suse.cz
- update to 1.2.2
* Thu Aug 05 2004 - tiwai@suse.de
- updated to version 1.2.1.
- using wxGTK-compat library.
* Sun Mar 28 2004 - tiwai@suse.de
- fixed the segfault at the start up (bug #34313)
- fixed the size of fonts for wxGTK with GTK-2.
- fixed possible buffer overflows.
- build with portaudio-v18, v19 seems problematic.
* Fri Mar 05 2004 - tiwai@suse.de
- updated to version 1.2.0 final.
* Mon Feb 16 2004 - tiwai@suse.de
- updated to version 1.2.0-pre4.
* Thu Jan 22 2004 - tiwai@suse.de
- fixed the build with the latest autoconf.
* Wed Jan 14 2004 - tiwai@suse.de
- updated to version 1.2.0-pre3.
- use portaudio v19 (shared lib).
* Tue Jan 13 2004 - tiwai@suse.de
- fixed the neededforbuild for the latest wxGTK with gtk2.
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Mon Sep 15 2003 - tiwai@suse.de
- added desktop icon.
* Sun Sep 14 2003 - adrian@suse.de
- add AudioVideoEditing Category
* Fri Aug 29 2003 - tiwai@suse.de
- fixed the bug of WAVE display.
* Thu Aug 14 2003 - tiwai@suse.de
- added desktop file.
* Mon Aug 11 2003 - tiwai@suse.de
- updated to version 1.2.0-pre1.
- help file is installed under /usr/share/audacity.
* Thu Jul 03 2003 - tiwai@suse.de
- fixed neededforbuild for the recent update of mad.
* Mon May 26 2003 - ro@suse.de
- removed unpackaged files from buildroot
* Thu Mar 27 2003 - tiwai@suse.de
- updated to version 1.1.3.
  linked with libFLAC and libsamplerate.
* Tue Nov 26 2002 - tiwai@suse.de
- updated to version 1.1.1.
- build with the system libsndfile since now audacity supports
  libsndfile 1.0.
- enabled nyquist support.
* Fri Aug 30 2002 - tiwai@suse.de
- updated to version 1.1.0 cvs 2002.08.30.
  the 1.1.0 tarball version has a major bug regarding to project
  file management (bug #18662).  this version fixes the problem.
  also, this one includes a help text, which wasn't there.
* Wed Jul 24 2002 - tiwai@suse.de
- updated to version 1.1.0.
* Mon Jul 01 2002 - tiwai@suse.de
- updated to the stable version 1.0.0-2.
* Wed Apr 17 2002 - tiwai@suse.de
- fixed build with gcc-3.1.
* Wed Apr 10 2002 - ro@suse.de
- work around autoconf problem: first AC_CHECK_HEADER
  apparently has to be outside of an if ... fi block
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Fri Jan 25 2002 - ro@suse.de
- added libpng,libjpeg,libtiff to neededforbuild
* Thu Jan 24 2002 - tiwai@suse.de
- initial package version: 0.98.
- built with the shared id3lib.
